ActiveRepairService.Status (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.service

## Enum ActiveRepairService.Status

- java.lang.Object
- - java.lang.Enum<ActiveRepairService.Status>
  - - org.apache.cassandra.service.ActiveRepairService.Status

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActiveRepairService.Status>
  Enclosing class:
    ActiveRepairService

  Deprecated.
  this statuses are from the previous JMX notification service, which will be deprecated on 4.0. For statuses of the new notification service, see `StreamEvent.ProgressEvent`

      @Deprecated
      public static enum ActiveRepairService.Status
      extends java.lang.Enum<ActiveRepairService.Status>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINISHED` Deprecated.
    `SESSION_FAILED` Deprecated.
    `SESSION_SUCCESS` Deprecated.
    `STARTED` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActiveRepairService.Status` | `valueOf(java.lang.String name)` Deprecated. Returns the enum constant of this type with the specified name.
    `static ActiveRepairService.Status[]` | `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTED

          public static final ActiveRepairService.Status STARTED

      Deprecated.

    - #### SESSION_SUCCESS

          public static final ActiveRepairService.Status SESSION_SUCCESS

      Deprecated.

    - #### SESSION_FAILED

          public static final ActiveRepairService.Status SESSION_FAILED

      Deprecated.

    - #### FINISHED

          public static final ActiveRepairService.Status FINISHED

      Deprecated.

  - ### Method Detail

    - #### values

          public static ActiveRepairService.Status[] values()

      Deprecated.
      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActiveRepairService.Status c : ActiveRepairService.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActiveRepairService.Status valueOf(java.lang.String name)

      Deprecated.
      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation